DELETE from configuration_group WHERE configuration_group_title="EasyMap";
DELETE from configuration WHERE configuration_key LIKE "EM_%";

INSERT INTO configuration_group VALUES ('30', 'EasyMap', 'EasyMap - configuration options', '30', '1');

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added, use_function)
 VALUES (NULL,'Enable Version Checker', 'EASYMAP_ENABLE_VERSION_CHECKER', 'false', 'Enables the version checking code to automatically check if an update is available.', '30', '10', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL);


DROP TABLE IF EXISTS easymap;
CREATE TABLE easymap (
  street_address VARCHAR (64) NOT NULL default '',
  zoomlevel TINYINT (3) NOT NULL DEFAULT 14,
  mapsize VARCHAR (10) NOT NULL DEFAULT '800x600',
  maptype VARCHAR (10) NOT NULL DEFAULT 'roadmap',
  language_name VARCHAR (32) NOT NULL DEFAULT 'english',
  markersize VARCHAR (6) NOT NULL DEFAULT 'mid',
  markercolor VARCHAR (8) NOT NULL DEFAULT 'blue',
  markerlabel VARCHAR (20) NOT NULL DEFAULT 'S',
  markerlocation VARCHAR (64) NOT NULL DEFAULT '',
  page_text TEXT NOT NULL DEFAULT '',
  language_id int(11) NOT NULL default '1',
  PRIMARY KEY (language_id)
);

INSERT INTO easymap (
street_address ,
zoomlevel ,
mapsize ,
maptype ,
language_name ,
markersize ,
markercolor ,
markerlabel ,
markerlocation ,
language_id ,
page_text
)
VALUES (
'100 35th Street, New york, NY', '14', '800x600', 'roadmap', 'english', 'mid', 'blue', 'S', '100 35th Street, New york, NY', '1', 'See below for our nearest location.'
);

