<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce
  Portions Copyright 2010 oscommerce-solution.com

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_EASYMAP);
  
  $mapType = '';
  $MAX_ZOOM_LEVEL = 22;
  $zoom_level = 9999;
  $roadmapType = array();
  

  /******************** SET THE ZOOM LEVEL *********************/ 
  if (isset($_POST['action']) && $_POST['action'] == 'process_options') {
      if (isset($_POST['zoom_level'])) {
          if ((int)$_POST['zoom_level'] < $MAX_ZOOM_LEVEL) {
              $zoom_level = (int)$_POST['zoom_level'];
          }
      }   

      if (isset($_POST['maptype'])) {
          $type = $_POST['maptype'];
          switch ($type) {
              case 'roadmap':   $mapType = $_POST['maptype'];
                                 $roadmapType['roadmap'] = 'checked';
                                 break;                               
              case 'satellite': $mapType = $_POST['maptype'];
                                 $roadmapType['satellite'] = 'checked';
                                 break;                               
              case 'terrain':    $mapType = $_POST['maptype'];
                                 $roadmapType['terrain'] = 'checked';
                                 break;                               
              case 'hybrid':    $mapType = $_POST['maptype'];
                                 $roadmapType['hybrid'] = 'checked';
                                 break;                               
          }
      }  
  }

  $easymap_query = tep_db_query("select * from " . TABLE_EASYMAP . " where language_id = " . (int)$languages_id . " limit 1");
  $easymap = tep_db_fetch_array($easymap_query);
  
  $markerLabels    = explode(',', $easymap['markerlabel']);
  $markerLocations = explode('|', $easymap['markerlocation']);
  
  $showMap = "http://maps.google.com/maps/api/staticmap?center=";
  $showMap .= $easymap['street_address'];
  $showMap .= "&zoom=" . ($zoom_level != 9999 ? $zoom_level : $easymap['zoomlevel']);
  $showMap .= "&size=" . $easymap['mapsize'];
  $showMap .= "&maptype=" . (tep_not_null($mapType) ? $mapType : $easymap['maptype']);

  if (count($markerLabels) > 0) {
      for ($i = 0; $i < count($markerLabels); ++$i) {
          $showMap .= "&markers=color:" . $easymap['markercolor'];
          $showMap .= "|label:" . $markerLabels[$i] . '|' . $markerLocations[$i];
      }
  }

  $showMap .= "&sensor=false";
  $pageText = $easymap['page_text'];
  
  $map_zoom_level = array();
  for ($i = 0; $i < $MAX_ZOOM_LEVEL; ++$i) {
      $map_zoom_level[] = array('id' => $i, 'text'  => $i);
  }   
  
  if (! tep_not_null($roadmapType)) {
      $roadmapType['roadmap'] = 'checked';
  }
  
  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_EASYMAP));
  require(DIR_WS_INCLUDES . 'template_top.php');
?>
<style type="text/css">
input { vertical-align: middle; margin-top: -1px;}
</style>
<h1><?php echo HEADING_TITLE; ?></h1>
<div class="contentContainer">
  <div class="contentText">
   <p><?php echo $pageText; ?></p>
   
   <p align="center">
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td align="center"><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <?php echo tep_draw_form('options', FILENAME_EASYMAP, 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process_options'); ?>
            <tr>
              <td align="right"><table border="0" cellspacing="0" cellpadding="2">
                <tr>
                  <td class="smallText" style="font-weight:bold;"><?php echo TEXT_MAP_ZOOM_LEVEL; ?></td>
                  <td class="smallText"><?php echo tep_draw_pull_down_menu('zoom_level', $map_zoom_level, (($zoom_level != 9999) ? $zoom_level : $easymap['zoomlevel']), 'onChange="this.form.submit();"'); ?></td>
                </tr>          
              </table></td>
              <td width="20"></td>
              <td align="center"><table border="0" cellspacing="0" cellpadding="2">
                <tr>
                  <td class="smallText" align="right" style="font-weight:bold;"><?php echo TEXT_MAP_TYPE; ?></td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="roadmap" <?php echo $roadmapType['roadmap']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_ROADMAP; ?>&nbsp;</td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="satellite" <?php echo $roadmapType['satellite']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_SATELLITE; ?>&nbsp;</td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="terrain" <?php echo $roadmapType['terrain']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_TERRAIN; ?>&nbsp;</td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="hybrid" <?php echo $roadmapType['hybrid']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_HYBRID; ?>&nbsp;</td>
                </tr>
              </table></td>              
            </tr>
          </form> 
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
   </p>
   
   <p align="center"><img src="<?php echo $showMap; ?>"></p>
  </div>

  <div class="buttonSet">
    <span class="buttonAction"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'triangle-1-e', tep_href_link(FILENAME_DEFAULT)); ?></span>
  </div>
</div>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
