<?php
/*
  $Id: locate-us.php 1739 2007-12-20 00:52:16Z hpdl $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  Portions Copyright 2010 oscommerce-solution.com

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_EASYMAP);
  
  $mapType = '';
  $MAX_ZOOM_LEVEL = 22;
  $zoom_level = 9999;
  $roadmapType = array();

  /******************** SET THE ZOOM LEVEL *********************/ 
  if (isset($_POST['action']) && $_POST['action'] == 'process_options') {
      if (isset($_POST['zoom_level'])) {
          if ((int)$_POST['zoom_level'] < $MAX_ZOOM_LEVEL) {
              $zoom_level = (int)$_POST['zoom_level'];
          }
      }   

      if (isset($_POST['maptype'])) {
          $type = $_POST['maptype'];
          switch ($type) {
              case 'roadmap':   $mapType = $_POST['maptype'];
                                 $roadmapType['roadmap'] = 'checked';
                                 break;                               
              case 'satellite': $mapType = $_POST['maptype'];
                                 $roadmapType['satellite'] = 'checked';
                                 break;                               
              case 'terrain':    $mapType = $_POST['maptype'];
                                 $roadmapType['terrain'] = 'checked';
                                 break;                               
              case 'hybrid':    $mapType = $_POST['maptype'];
                                 $roadmapType['hybrid'] = 'checked';
                                 break;                               
          }
      }  
  }

  $easymap_query = tep_db_query("select * from " . TABLE_EASYMAP . " where language_id = " . (int)$languages_id . " limit 1");
  $easymap = tep_db_fetch_array($easymap_query);
  
  $markerLabels    = explode(',', $easymap['markerlabel']);
  $markerLocations = explode('|', $easymap['markerlocation']);
  
  $showMap = "http://maps.google.com/maps/api/staticmap?center=";
  $showMap .= $easymap['street_address'];
  $showMap .= "&zoom=" . ($zoom_level != 9999 ? $zoom_level : $easymap['zoomlevel']);
  $showMap .= "&size=" . $easymap['mapsize'];
  $showMap .= "&maptype=" . (tep_not_null($mapType) ? $mapType : $easymap['maptype']);

  if (count($markerLabels) > 0) {
      for ($i = 0; $i < count($markerLabels); ++$i) {
          $showMap .= "&markers=color:" . $easymap['markercolor'];
          $showMap .= "|label:" . $markerLabels[$i] . '|' . $markerLocations[$i];
      }
  }

  $showMap .= "&sensor=false";
  $pageText = $easymap['page_text'];
  
  $map_zoom_level = array();
  for ($i = 0; $i < $MAX_ZOOM_LEVEL; ++$i) {
      $map_zoom_level[] = array('id' => $i, 'text'  => $i);
  }   
  
  if (! tep_not_null($roadmapType)) {
      $roadmapType['roadmap'] = 'checked';
  }  
  
  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_EASYMAP));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
<style type="text/css">
input { vertical-align: middle; margin-top: -1px;}
</style>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><?php echo $pageText; ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td align="center"><table border="0" width="80%" cellspacing="0" cellpadding="2">
          <?php echo tep_draw_form('options', FILENAME_EASYMAP, 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process_options'); ?>
            <tr>
              <td align="right"><table border="0" cellspacing="0" cellpadding="2">
                <tr>
                  <td class="smallText" style="font-weight:bold;"><?php echo TEXT_MAP_ZOOM_LEVEL; ?></td>
                  <td class="smallText"><?php echo tep_draw_pull_down_menu('zoom_level', $map_zoom_level, (($zoom_level != 9999) ? $zoom_level : $easymap['zoomlevel']), 'onChange="this.form.submit();"'); ?></td>
                </tr>          
              </table></td>
              <td width="20"></td>
              <td align="center"><table border="0" cellspacing="0" cellpadding="2">
                <tr>
                  <td class="smallText" align="right" style="font-weight:bold;"><?php echo TEXT_MAP_TYPE; ?></td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="roadmap" <?php echo $roadmapType['roadmap']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_ROADMAP; ?>&nbsp;</td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="satellite" <?php echo $roadmapType['satellite']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_SATELLITE; ?>&nbsp;</td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="terrain" <?php echo $roadmapType['terrain']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_TERRAIN; ?>&nbsp;</td>
                  <td class="smallText" align="left"><INPUT TYPE="radio" NAME="maptype" VALUE="hybrid" <?php echo $roadmapType['hybrid']; ?> onClick="this.form.submit();"><?php echo TEXT_MAPTYPE_HYBRID; ?>&nbsp;</td>
                </tr>
              </table></td>              
            </tr>
          </form> 
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      
      <tr>
       <td align="center"><img src="<?php echo $showMap; ?>"></td>
      </tr> 

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>      
      
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td align="right"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
